package com.minano.themovielibrary.controllers;

import com.minano.themovielibrary.helpers.IFilmJSONParser;
import com.minano.themovielibrary.models.FilmItem;

/**
 * Created by Admin on 13/09/2016.
 */
public class FilmController implements IFilmController {
    @Override
    public FilmItem getFilmItem(String stringUrl, IFilmJSONParser parser) {
        String response = new HttpRetriever().getStringResponse(stringUrl);
        return parser.parseResponse(response);
    }
}
